Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/xbindkeys: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Sun, 24 May 2015 11:08:18 -0400

http://www.nongnu.org/xbindkeys/xbindkeys.html
Program for launching shell commands via keyboard shortcuts in X
---
 testing/xbindkeys/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/xbindkeys/APKBUILD
diff --git a/testing/xbindkeys/APKBUILD b/testing/xbindkeys/APKBUILD
new file mode 100644
index 0000000..1ac7d52
--- /dev/null
+++ b/testing/xbindkeys/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+pkgname=xbindkeys
+pkgver=1.8.6
+pkgrel=0
+pkgdesc="Program for launching shell commands via keyboard shortcuts in X"
+url="http://www.nongnu.org/xbindkeys/xbindkeys.html"
+arch="all"
+license="GPL2"
+depends="libx11"
+depends_dev="libx11-dev libc-dev"
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.nongnu.org/$pkgname/$pkgname-$pkgver.tar.gz"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr \
+        --disable-guile \
+		--mandir=/usr/share/man \
+        --infodir=/usr/share/info \
+        --build=$CBUILD \
+        --host=$CHOST \
+        || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="c6ea9db56e075dae0697497e2ed390cc  xbindkeys-1.8.6.tar.gz"
+sha256sums="6c0d18be19fc19ab9b4595edf3a23c0a6946c8a5eb5c1bc395471c8f9a710d18  xbindkeys-1.8.6.tar.gz"
+sha512sums="3c77541eae9f87d2020c2272984c221094276dae2a8690c5cec9fe1b23c0139229b8f56876170da70684aeaa128642349b6835c375d473186cbf8123517173ba  xbindkeys-1.8.6.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun May 24 2015 - 11:08:18 GMT